package org.gcube.portlets.user.accountingdashboard.server.accounting;

import org.gcube.data.access.accounting.summary.access.AccountingDao;
import org.gcube.data.access.accounting.summary.access.model.ScopeDescriptor;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * 
 * @author Giancarlo Panichi
 *
 */
public class AccountingService {
	
	private static Logger logger = LoggerFactory.getLogger(AccountingService.class);

	private AccountingDao dao;

	public AccountingService() {
			dao = AccountingDao.get();
	}

	public void getTree() {
		try {
			logger.debug("AccountingService GetTree()");
			ScopeDescriptor scopeDescriptor = dao.getTree(null);
			logger.debug("ScopeDescriptor: "+scopeDescriptor);
			
		} catch (Exception e) {
			logger.error("Error retrieving Tree: "+e.getLocalizedMessage(),e);
		}
	}
}
